
struct Bootblock
{
  struct Bootblock *Next;
  char  bootname[30];

  /* Private use! Don't touch! */

  UBYTE pos[4];
  ULONG bootsum;
};

#define BBBF_LOADED           0     /* Loaded and everything's ok     */
#define BBBF_NOT_BBBF        -1     /* It was no brainfile...         */
#define BBBF_CHECKSUM_ERROR  -2     /* Someone has fiddled with it... */
#define BBBF_ALREADY_LOADED  -3     /* Ready for use...               */
#define BBBF_OUT_OF_MEMORY   -4     /* Free some and try again...     */

#define BBBF_NOT_LOADED      -1     /* ReadBBBF first...              */
#define BOOT_UNKNOWN          0     /* Not a known virus...           */
#define BOOT_VIRUS            1     /* Install immediately!           */
#define BOOT_NOT_BOOT         2     /* This disk is not bootable      */
